Linux 桌面的发展之路
================================================================================
Ken Starks 在 fossforce.com 网站上问 [你们是如何优化 Linux 的？][1]，我很高兴他问了这个问题，因为我有话要说！对我来说，Linux 桌面就是一连串的承诺，但是这些承诺却总是无法兑现。它在每个版本发布后都会说“下个版本会非常牛X”，=.=凸。它会一次性定下50个目标，然后又完成不了几个。至于 Linux 桌面，我想我们是时候好好聊聊这玩意儿了。

计算机有着无穷的魅力，在计算机的世界里我们几乎能做所有事情。在这个容易迷失的世界里，我们深信自己所着迷的事情对其他人也有着相同的吸引力。我们沉迷于钻研细节，争论 GPL 和 LGPL 的区别，讨论为什么我们称“Linux”为“GNU/Linux”而不是简单的“Linux”，诸如此类，我们总想说服别人，推销自己喜欢的 Linux 桌面风格。我们总是说“这关乎自由，瞧瞧苹果是怎么限制你的选择的！”却从来没意识到那些选择了不同计算机系统的用户仅仅是把计算机当作工作所需的工具而已。对于我们来说，计算机有点儿像变戏法，当第一次动手修改一些重要配置，改变计算机的工作方式时，我们会非常激动，非常有成就感。在开源界，你是这个世界的主宰，你沉迷于控制一切。然而，对于那些没有准备好掌握这种控制一切的力量的人来说，开源社区并不是他们的菜。

大多数工程师并不是设计师，但开源社区能让这些开发者成为一些图形交互界面的设计者。于是，我们的 Unity 不再显示主菜单，我们的 Gnome 3 窗口可以満屏幕乱飞，而 KDE 桌面，我一直觉得它完全无法理解，所以我已经好多年没关注它了（在这里向 KDE 开发团队和其支持者表示道歉，我无法理解 KDE 是好几年前的事了，我相信现在的 KDE 肯定能用 awesome 来形容）。前面提到的在 fossforce.com 网站上的那篇文章提了一个很好的问题：为什么 Linux 桌面总是不能像人们所希望的那样普及出来。而文章下面的评论则是一堆社区成员的抱怨和建议，比如：让窗口更好地整合在一起；让添加磁盘变得更简单些。很多评论都是很好的、可行的建议，但他们大多数都忽略了一个核心事实：是什么让 Linux 成为一个既精彩但又前途暗淡的、只属于狂热爱好者的系统？Linux 发行版是由非常多的软件包组成的，每个软件包都有不同的维护者，不同的价值和不同的开发过程。当每个开发团队将他们的产品通过开源社区贡献出来时，每个开发团队会变得只有一点点不一样，而仅仅是这一点点的不一样，让我们对细枝末节的探索有了发挥的余地。有些人不喜欢 Ubuntu 桌面，于是他们克隆 Ubuntu，在上面作一些细微的改变，然后重新发布一个衍生版。这种方式挺不错的，因为它能带来新点子，向人们展示一个事物能够变成什么样子 —— 即使是很小的改变。但是每当新产生一个衍生版，就会将开源社区变得更碎片化一些。这到底是好事还是坏事？看你是站在什么角度来看。

Linux 桌面是建立在成千上万的软件基础之上的，每个软件由不同团队维护。有时候我们会想这样的东西究竟能不能工作？！事实是，它能，并且工作得非常好，这真是一个奇迹。然而有时候它又不工作了，它会崩溃，在这种时候我们就会列出一连串的计划来改进 Linux，并将我们最不能忍受的缺陷放在计划的最前面。

经过上面的讨论，我的建议出来了。第一点：继续做你正在做的事。技术总是能反映创造者的价值，而 Linux 桌面更是一个多国家多文化集合的体现。Linux 充满缺陷，充满伤痕，但也是因为这些，令它变得美好。世界需要现在的 Linux 桌面，同时世界需要更好的 Linux 桌面。

第二点：选一个发行版，比如 Ubuntu，弄烂它。然后，拾起一些碎片，在这些碎片上创造一些全新的东西。不要从社区获取软件或者产品，只需要获取想法。从内核开始，一个团队，一个房间，一种设计理念和设计哲学，从头创建一整个操作系统。将注意力集中在那些最好的已经实现的想法上，以及那些最新的还没实现的想法上。丢掉所有糟糕的东西，创造全新的东西。

到目前为止，我见过的最接近这种观念的是 Aral Balkan 开发的 [Indie][2] 项目，但他最近貌似专注于移动市场。我希望 Linux 桌面朝着这种观念靠近。这有可能么？当然，一切皆有可能。但确定会发生么？谁知道呢？整个 Linux 生态系统都充满不确定性。唯一确定的是，我们的创造性是无限的。

--------------------------------------------------------------------------------

via: http://ostatic.com/blog/improving-the-linux-desktop

译者：[bazz2](https://github.com/bazz2) 校对：[Mr小眼儿](http://blog.csdn.net/tinyeyeser)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://fossforce.com/2014/04/what-would-you-do-to-improve-linux/
[2]:http://indiephone.eu/
