为什么不要在Linux上只运行开源软件？
================================================================================
![](http://www.linuxinsider.com/images/rw661226/linux-enterprise-proprietary-code.jpg)

> 对于一些产业来讲，在开源的Linux发行版上运行专属（proprietary）软件并不是个例，--相反这很常见。例如，在华尔街，“华尔街上百分之九十九的应用依赖于专属软件。在那些运行在Linux上而有专属许可证的产品中，Oracle是我们非常喜欢的一款”， FSMLabs 的总裁 Victor Yodaiken这样说。

迁移到Linux平台并不是一个非此即彼的提议。linux作为一个灵活开放的计算平台为用户在软件选择上提供了更多的选项。

第一个方法是Linux的桌面环境，个人计算用户，小型办公室和企业都可以从众多的企业级Linux发行版中选择。在Windows和被限定在其昂贵硬件的基于unix的苹果OS X之外，Linux桌面系统为用户提供了另外一种零成本或者低成本的选择。

另一个迁移的办法是，让员工放弃Linux桌面办公，取而代之，企业可以在Linux服务器上运行后台办公系统。在网络应用和云计算领域遍布Linux的足迹，Linux服务器能在各种企业设定中寻找到自己的位置。

第三个方法是运行一个完整的Linux商店，常用的办公计算、网上浏览、图片编辑工作软件都存放在开源的软件包中。开源的数据库程序连接着后台的软件和服务器，而且Linux不需要特殊的硬件和多余的花销。

培训员工使用Linux桌面应用仅需要很少的投入。这要感谢职员们对跨平台软件的熟悉，例如LibreOffice 和 Open Office, 当然还有 google Chrome和 Firefox浏览器。先前的办公交流工具真的面临着威胁。

Linux很灵活。一种新的趋势是编写第三方的特定软件来满足自己的商业需求，商业软件公司可以重新编译打包那些必备的windows或者其他平台的软件。他们也可以结合开源的组件用他们自己特定的代码来编写特定需求的linux应用程序。

Dayan Jeremiah，[Icewarp Pacific][1]的CEO告诉linuxinsider：“我相信这将是一个新的趋势，企业正在使用可以运行在Linux系统上的第三方软件。让企业走向定制化软件的一个因素就是购买微软授权的经济负担太重。”

### Linux 上运行专属软件 ###

很多公司转向其他操作系统面临的问题就是软件和应用程序的兼容性问题，比如转向Linux，那么这家企业必须保证它用的软件必须是兼容Linux操作系统的，jeremiah补充道。

Linux操作系统有着数量巨大的软件，它们运行在数量众多的linux发行版和桌面环境当中。考虑到行业的特殊性，广大的开源团体或许并没有提供替代一个特定计算任务的替代品。这样的情况下，就不得不花费精力寻找第三方软件开发者的帮助。

 “通过第三方厂商帮助来保证兼容性的问题，比如，我们可以混合和匹配各种软件组件在一起，以便让一个应用程序可以运行在Linux上。”jeremiah这样说。

### 旧貌换新颜 ###

越来越多的专属软件公司，比如Icewarp，开发特定的软件来满足企业特定的业务需求，他们将许多开源组件混合在一起使用。

相比在微软框架下，这样不仅节约了授权费用，也节省了开发代码的费用。

“我们可以使用现成的软件组件为Linux构建完整的软件解决方案，这个方案非常节省，高效而且稳定。”jeremiah补充道。

Icewarp开发的特定软件并不是免费的开源项目，并不提供免费版本，需要订购并支付费用，而且售后支持也是收费的。

### 代码移植的混乱 ###

[Lucera][2]的CEO Jacob Loveless提到，把一个来自其它平台的软件变成Linux兼容的，一个很大的障碍就是Linux的多样性。Linux操作系统有一个通用的内核，但是不同的发行版有很多不同的特点。

“当软件公司不得不在多个Linux系统中交叉编译时，问题进一步加深。”除了微软的Exchange数据库之外（LCTT译注：此处疑为笔误，可能是“MS SQL Server”），大部分数据库都在linux上运行的很好，MySQL和PostSQL是其中非常出名的两个开源软件（LCTT译注：此处PostSQL应该是Postgresql）。”

在软件移植到Linux时的最大挑战，是需要重新编译代码，通常你必须要完成一些平台特定的修改才能让它工作，他说。

比如，你有特定的基于.Net的代码或者其他的针对Windows的语言代码，Linux上开源的编译器并不总是兼容，所以你有很多的软件工作必须重做，loveless解释说。

另外一个例子就是数据库，你往往不得不改用其他的数据库或者不同的网页服务器。

 “这确实需要一些工作”loveless说道。

### 多但不足够 ###

另外一个转向Linux的兼容性问题就是公司需要的开源软件类型。

 “对于公司特定的计算需求开源软件方案并不完善”ICeWarp的Jeremiah补充说“但是，通常对于Linux来说都是足够的，开源团体无法做到的特定的应用程序可以由第三方来实现。”

比如说，IceWarp最近完成的一个特定的Linux兼容的应用程序就不需要采购额外的硬件也没产生多余的授权费用。

这个特定的软件包含一个负载均衡的集群，一个运行数据库的集群，另外一个是IP服务器的集群。所有的都运行在RHEL或者CentOS linux发行版当中。

### 跟钱走！ ###

在一些情况下，有钱才有Linux操作系统的应用，有时候Linux服务器在一个领域很流行，又有些时候只是一个特定的Linux桌面应用程序，有时候两者都有。

举个例子，例如在华尔街，在金融市场中时间同步是关键。金融网络依靠分布式网络，用户必须在截止时间内完成交易。其它的应用需要在交易前进行精确的计时。[FSMLabs][3] 的总裁 Victor Yodaiken 说，这些功能需要精确的时间同步控制。

当FSMLabs开始开发时间同步软件时，Yodaiken觉得他们只需要开发一个Windows版本。

然而，事实证明每一个在使用自动交易或者高频交易的人，甚至以高精度采集数据的人，都运行的是Linux系统，他告诉LinuxInsider。

### 惜时如金 ###

FSMLabs在Linux上运行他们的专属代码，Linux上的互联网时间协议（NTP）并不适用于同步时间在纳秒级别的应用，比如那些追踪股票变动，或者交易需求。 windows的不足有另一个原因。

Yodaiken说道：“（在这方面，）Linux比Windows流行是因为windows没有一个标准的API可以让你在毫秒级之下获取时间，所以Window并不是真的都好，你必须得有特定的API才行。而在Linux下。你不需要在你的应用程序上费力了。”

金融市场是第一个拥抱Linux的，很多早期的系统管理员来自20世纪80年代的[贝尔实验室][4]，因此这是一个很成熟的市场，他补充到。

### 满足需求 ###

在某些领域，在开源的Linux发行版上运行有专利的软件并不意外，这是很常见的。

“华尔街99%的应用都运行在有专利的产品上。在我们在Linux上运行的有专属许可证的产品中，我们很喜欢Oracle。”FSMLab 的 Yodaiken说。

一些使用Linux的市场需要更多特定的软件，现有的开源软件并不能满足他们，这就是为什么软件开发者们为企业Linux应用提供了商业的解决方案。他补充道。

 “这很平常，开源软件很适合大的市场，这就是为什么他有广泛而且通用的需求，不是很多人需要绝对的微秒级的时间，而且如果没有市场就会发出信号。”他指出。
 
### Linux纯粹主义是没有意义的 ###

在Linux上运行完全免费开源的软件的观念是欠缺的，有时候你要运行专属软件。对于任何特定的行业都是这样。

当一个专业的计算不需要进入广泛市场时，第三方的软件开发者可以提供特定的，商业的或者闭源的软件解决方案。由于商业需求不断进入Linux系统，绝对的开源将成为过去的事情。

“在Linux上拥有商业软件是相当普遍的”，Yodaiken说，“商人都不是纯粹主义者，他们只想解决问题。”

Jack M.Genmain从Apple II和PC时代就开始报道电脑科技，他还有原始的IBM PC-Jr和运行DOS的机器。他留着共享软件和开源软件的linux桌面。他运行着好几种版本的Windows和Linux，经常不能决定是用他的tablet还是netbook还是android智能机，而不是用他的桌面电脑或者笔记本。你可以在google+上联系他。


--------------------------------------------------------------------------------

via: http://www.linuxinsider.com/story/80555.html

作者：Jack M. Germain
译者：[jiajia9linuxer](https://github.com/jiajia9linuxer)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.icewarp.com/
[2]:https://lucerahq.com
[3]:http://www.fsmlabs.com/
[4]:http://www.bell-labs.com/
