让你玩转 Ubuntu 桌面的十一件武器
================================================================================
**无论你是一个相对的新手还是经验丰富的专家，我们都想从我们的操作系统中得到更多的东西。正如大多数现代的操作系统，相比于乍一看呈现出的内容，Ubuntu 还有更多东西可以向我们提供。**

从调整和优化 Unity 桌面的外观、行为、性能到执行系统维护，这里有大量的实用工具和应用可以帮助你**调整 Ubuntu ，随时满足你的需求**。

注意： Ubuntu 总是配备了‘合理的默认设置’（即工作良好的选项），以达到开箱即用，这些默认设置适合大多数人，并且它们都是经过了测试、采用及推荐等过程的。

但一个尺码并不适合所有人。对于我们当中的能工巧匠和实验主义者来说，默认设置只是他们定制系统的起点。

所以，无需更多的唠叨， 这里有 11 个极好的实用工具可以帮助你增强 Ubuntu 使用体验。

### Unity Tweak Tool ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/unity-tweak-tool.jpg)

我将以这个列表中最重要的一个工具: **Unity Tweak Tool** 来开始这次的介绍。融汇了各种定制选项，Unity Tweak Tool 提供了一系列针对 Ubuntu 和 Unity 桌面的系统综合调整功能。

它被各种开关、切换和控制器塞得满满的，使得你可以任意设置从 Unity 桌面的外观到 Unity 的行为之类的任何东西。你可以使用它**快速简便地改变 GTK 主题和图标集**、设置热区、调整启动器图标尺寸、增加或移除工作区，以及 ---特别地---开启 Unity 桌面中被巧妙隐藏的“通过点击最小化”的功能。

它是免费的，可直接从 Ubuntu 软件中心里找到， Unity Tweak Tool 是非常值得保留在你的口袋里的工具之一。

### Unity 隐私指示器 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/indicator-privacy-in-ubuntu.jpg)

隐私是一个非常、非常重要的事，事实也恰恰如此，但这个话题要比二进制还难以说明白。让一些数据或习惯，比如说你经常打开的应用，在本地被记录下来，这或许会让你感到高兴，但对于你在 Dash 中的搜索数据被发送到第三方服务机构(尽管这些数据或许是匿名的)这类事情，你就高兴不起来了。

[隐私指示器][1] 是一个帮助你时刻跟踪 Ubuntu桌面系统中有哪些文件、目录和服务正被获取、记录及搜索的实用工具。

通过快速的点击被添加到桌面面板上的‘眼睛’图标，你可以：

- 开启或关闭在线搜索结果，使用 Zeitgeist 记录系统活动，存储 HUD 使用记录和启用 Ubuntu GeoIP 服务
- 快速清理 Zeitgeist 日志、 ALT-F2 历史、最近访问文件等等的记录数据
- 展示或隐藏桌面图标及面板上显示的用户名 

上述的最后一条的功能似乎不应该出现在这个应用程序中，但对于那些要分享截图或截屏的人来说，这将会泄露更少的隐私。

- [从这里下载隐私指示器 (.deb)][2]

### Unity 橱窗 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/09/unity-folders.jpg)

**Android, iOS, OS X, Chrome OS, 和 GNOME Shell 都有应用橱窗, 借助一个极好的第三方应用，Unity 也可以实现类似功能。**

“Unity 橱窗” 允许你将 Unity 启动器中的应用分组到实用的橱窗中，--- 如游戏，办公，社交等。不必打开 Dash，你就可以快速启动你喜爱的应用，这非常适合你的工作流。

每一个 ‘橱窗’其实上是一个打开在图标附近的应用窗口，但总体效果看上去就像是一个 OS X 风格的“堆栈”或 Android 的分组框。

橱窗的图标可以自定义或根据橱窗内的应用来自动生成。已有的橱窗可以修改和重新组织、重命名以及如下的更多选择：

- 根据你的喜好创建任意多的橱窗
- 选择自定义或自动生成橱窗图标
- 可选择 3 种橱窗样式
- 为添加到橱窗中的应用设定自定义图标
- 编辑现有橱窗

[Unity 橱窗的网址](http://unity-folders.exceptionfound.com/)

### 咖啡因（Caffeine） ###

对于我们中的许多人来说，咖啡因是必需品，而不仅仅是饮料。而这里的“咖啡因”则提供了一个快速，温和的方式来避免屏保/锁屏占据屏幕。它的有用程度将取决于你的环境(即你系统的怪癖)，并且尽管它不像以前那样好用，它仍然值得你[尝试一下][3]。

[下载咖啡因（Caffeine） ](https://launchpad.net/~caffeine-developers/+archive/ppa/+files/caffeine_2.7_all.deb)

### 系统监控指示器 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/multiload-indicator-in-ubuntu.jpg)

假如你是一个状态迷，即一个喜欢密切关注程序，进程和硬件的状态的人， Linux 很容易满足你的需求。从 Conky 的配置到终端命令，并不缺少监视你的 CPU 使用情况、网络流量或 GPU 温度的方法。

但至今为止，我最喜爱的应用是**系统监控指示器**（也被叫做多负载指示器），它可从 Ubuntu 软件中心获得。它也有着大量的配置选项。

- [点击这个链接，在 Ubuntu 中下载 ‘系统监控指示器’][4]

### 针对 Linux 笔记本电脑的省电工具 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2012/08/front.jpg)

#### TLP ####

当提到便携式设备上的电池使用效率时，Linux 发行版的声誉并不算好。

如果你的 Linux 笔记本在重新充电前，电池只够让你从沙发走到厨房的话，那么这里有几个你可以试试的工具。

TLP 是最受欢迎的确保延长 Linux 笔记本的电池寿命的自动化后台工具之一，它是通过调整系统进程和硬件的设置及行为来达成省电的，例如 启动 Wi-Fi 省电模式， PCI 总线设备的实时电量管理和处理器的降频调整。

在 Ubuntu 14.04 LTS 以及后续发行版本中可以[使用 TLP 专用的 PPA 来安装它][11]，通过它的‘一下搞定’的设置就能用起来。在我们之中的高级用户可以潜心研究并根据你自己的硬件来调整设置，一个[关于 TLP 的完整指导 wiki][6] 使得设置更加容易。

#### Laptop Mode Tools ####

假如 TLP 听起来有一点复杂，这也并没有什么可羞耻的，这里有一个更简单的替代品： **Laptop Mode Tools**。 这个软件包可从 Ubuntu 软件中心直接安装，且本身设置好了一系列合理的默认设置(Wi-Fi,蓝牙等等)。

切记，Laptop Mode Tools 不能和 TLP 同时被安装在电脑中。

- [Ubuntu 软件中心里的 Laptop Mode Tools ][7]

### Intel 显卡驱动安装工具 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/04/intelgraphicsdriverinstaller.png)

对于那些运行 Intel 显卡硬件，并想使得这些硬件发挥出最佳性能的人来说，Intel 显卡安装工具是必须拥有的。 它使得查找并安装最新的 Intel GPU 驱动变得不再是一件痛苦和大费周折的事，因为这无需 PPA 或任何的终端使用知识。

- [下载针对 Linux平台的 Intel 显卡驱动安装器 0.7 版本][8]

### 硬件信息 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/02/Screen-Shot-2014-02-10-at-21.05.37.png)

假如你计划升级你的 PC 或想替换一个坏掉的零部件，你需要知道一些特定的硬件信息，例如 RAM 类型，CPU插座类型 或查看哪个 PCI 槽是可用的等信息。

**I-Nex**可以使得找出这些以及其他的系统具体配置变得更加容易。使用它来查找你的主板型号、S.M.A.R.T.(注：为 Self-Monitoring, Analysis and Reporting Technology 的缩写，经常写为 SMART ) 状态，以及你想的出的很多东西！

- [可从 Launchpad 了解到更多关于 I-Nex 的信息][9]

### 磁盘空间可视化程序 ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/disk-usage-visualizer-for-ubuntu.jpg)

在这个硬盘以 TB 计数的时代，我们或许不必同以前一样对硬盘空间的使用三思而后行。但对于那些使用小容量的 SSD，分成多个分区或在一个拥有固定大小的虚拟磁盘的虚拟机上工作的人来说，总有“应该释放一些额外空间是必要的”这种想法的时候。

GNOME Disks，在 Ubuntu 中被默认安装，使得查找占用最大磁盘空间的罪魁祸首变得容易。对于定位隐藏的日志、缓存和视频文件，它是非常完美的工具。

### BleachBit (Cruft Cleaner) ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/11/bleachbit.jpg)

Windows 用户可能对像 CCleaner 之类的应用很熟悉，它可以扫描并清理垃圾文件、空白文件夹、臃肿的缓存以及陈旧的软件包。在 Ubuntu 上，一个相似的快速且毫不费力的一键式清理方法可以试试 **BleachBit** 。

它是一个强大的工具，所以一定要注意你正在清理什么。不要漫无目的地确认每个选项框；不是所有的东西它都可以清理。所以请合理地使用它，当你对某个选项有疑问时，就跳过它。

- [从 Ubuntu 软件中心里安装 BleachBit][10]

你已经有了自己最喜欢的系统实用工具了吗？可以在下面的评论中让其他人知晓它。 

--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2014/11/useful-tools-for-ubuntu-do-you-use-them

作者：[Joey-Elijah Sneddon][a]
译者：[FSSlc](https://github.com/FSSlc)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:https://plus.google.com/117485690627814051450/?rel=author
[1]:http://www.florian-diesch.de/software/indicator-privacy/index.html
[2]:http://www.florian-diesch.de/software/indicator-privacy/dist/indicator-privacy_0.04-1_all.deb
[3]:http://www.omgubuntu.co.uk/2014/05/stop-ubuntu-sleeping-caffeine
[4]:apt://indicator-mulitload
[5]:https://launchpad.net/~linrunner/+archive/ubuntu/tlp/+packages
[6]:http://linrunner.de/en/tlp/docs/tlp-configuration.html
[7]:https://apps.ubuntu.com/cat/applications/laptop-mode-tools/
[8]:https://01.org/linuxgraphics/downloads/2014/intelr-graphics-installer-linux-1.0.7
[9]:https://launchpad.net/i-nex
[10]:https://apps.ubuntu.com/cat/applications/bleachbit/
[11]:https://launchpad.net/~linrunner/+archive/ubuntu/tlp/+packages
