LibreOffice 中的六大实用扩展组件
================================================================================
![](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/yearbook2015-osdc-lead-2.png)

图片来源：Opensource.com

LibreOffice 是最好的自由办公套件，并在所有的主要 Linux 发行版中得到应用。尽管 LibreOffice 已经拥有了大多数特性，它仍然可以通过添加一种叫做扩展（extension）的特定的附加组件来增加功能。

LibreOffice 的扩展组件的网站是 [extensions.libreoffice.org][1]。扩展组件只是一些工具，可以在安装主体上进行独立添加或者移除，以便增加新功能或者让已有功能更容易使用。

### 1. 多格式保存组件 ###

多格式保存组件可以根据用户的设置，同时将文档保存为开源文档（OpenDocument）、微软 Office 文档或者 PDF 文档。在你需要将微软 Office 文档格式转为标准的[开源文档格式][2]的时候，这个组件就很实用了，因为该组件同时提供了两种选择：互操作性较强的 ODF 文档格式，以及微软 Office 文档格式，以便同所有需要使用老旧的文档格式的用户保持兼容性。这样使管理员的文档迁移过程变得更具弹性、更易于管理。

**[下载 多格式保存组件][3]**

![Multiformatsave extension](https://opensource.com/sites/default/files/images/business-uploads/multiformatsave.png)

### 2. Writer 中可备选使用的查找与替换组件（备选搜索 （AltSearch）） ###

该组件向 Writer 中的查找与替换功能添加了许多新特性：可以查找和替换一段或多段文本；一次执行多个查找和替换；搜索：书签、笔记、文本字段、交叉引用和参考标志内容、名称或标志及其插入；搜索和插入脚注和尾注；通过名称来搜索表格对象、图像和文本框；搜索帮助手册页和分栏符以及创建和失活时间；根据光标位置搜索相同格式的文本。还可以保存/加载查找和替换参数，并在多个同时打开的文件中执行批处理。

**[下载 Writer 中可交替使用的查找与替换组件（交替搜索 （AltSearch））][4]**

![Alternative Find&amp;amp;Replace add-on](https://opensource.com/sites/default/files/images/business-uploads/alternativefindreplace.png)

### 3. Pepito 清除组件 ###

Pepito 清除组件是一个 LibreOffice 扩展，主要用来快速清除并修复旧式扫描件、导入的 PDF 以及每个电子文本文档的格式错误。通过点击 LibreOffice 工具栏中的 Pepito 图标，用户可以打开一个用于分析文档并按类型呈现文档错误。当你将 PDF 文档转换为 ODF 文档时，这个工具就非常有用了，它会自动清除转换过程中出现的错误。

**[下载 Pepito 清除组件][5]**

![Pepito cleaner screenshot](https://opensource.com/sites/default/files/images/business-uploads/pepitocleaner.png)

### 4. ImpressRunner 组件###

Impress Runner 是将 [Impress][6] 文档转换成自动播放文件的扩展组件。该组件会添加两个图标，用以设置或移除自动开始播放的功能，我们还可以通过编辑 文件 | 属性 | 自定义属性 菜单来手动添加这两个图标，并将自动运行按钮添加到前四个文本域之一前面。在会议与组织活动时，如果幻灯片无人主持，这个扩展组件就变得非常有用。

**[下载 ImpressRunner 组件][7]**

### 5. 导出为图像组件 ###

导出为图像组件为 Impress 和 [Draw][8] 中文件菜单里增加了一个入口——“导出为图像...”，主要用于将所有的幻灯片和页面导出成 JPG、PNG、GIF、BMP 和 TIFF 等图像格式，并且允许用户自定义导出图像的名称、大小以及其他参数。

**[下载 导出为图像组件][9]**

![Export as images extension](https://opensource.com/sites/default/files/images/business-uploads/exportasimages.png)

### 6. Anaphraseus 组件###

Anaphraseus 是一个 CAT（Computer-Aided Translation，计算机辅助翻译）工具组件，用来创建、管理双语翻译。Anaphraseus 是一个 LibreOffice 宏集合，可以作为扩展组件或者用在单独的文档中。最开始，Anaphraseus 支持快速翻译（Wordfast）格式，但现在它可以导入或者导出成 TMX 格式。其主要特性：分本分割、在翻译记录（Translation Memory）中模糊搜索、术语识别以及导入导出 TMX（OmegaT translation memory format，OmegaT 翻译存储格式）。

**[下载 Anaphraseus 组件][10]**

![Anaphraseus screenshot](https://opensource.com/sites/default/files/images/business-uploads/anaphraseus.png)

你是否也有自己喜欢和推荐的 LibreOffice 组件呢？在评论中告诉大家吧。

--------------------------------------------------------------------------------

via: https://opensource.com/business/15/12/6-useful-libreoffice-extensions

作者：[Italo Vignoli][a]
译者：[GHLandy](https://github.com/GHLandy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/italovignoli
[1]:http://extensions.libreoffice.org/
[2]:http://www.opendocumentformat.org/
[3]:http://extensions.libreoffice.org/extension-center/multisave-1
[4]:http://extensions.libreoffice.org/extension-center/alternative-dialog-find-replace-for-writer
[5]:http://pepitoweb.altervista.org/pepito_cleaner/index.php
[6]:https://www.libreoffice.org/discover/impress/
[7]:http://extensions.libreoffice.org/extension-center/impressrunner
[8]:https://www.libreoffice.org/discover/draw/
[9]:http://extensions.libreoffice.org/extension-center/export-as-images
[10]:http://anaphraseus.sourceforge.net/
