七步开始你的 Linux 系统管理员生涯
===============================================

Linux 现在是个大热门。每个人都在寻求 Linux 才能。招聘人员对有 Linux 经验的人求贤若渴，还有无数的职位虚位以待。但是如果你是 Linux 新手，又想要赶上这波热潮，该从何开始下手呢？

###1、安装 Linux###

这应该是不言而喻的，但学习 Linux 的第一关键就是安装 Linux。LFS101x 和 LFS201 课程都包含第一次安装和配置 Linux 的详细内容。

###2、 完成 LFS101x 课程###

如果你是完完全全的 Linux 新手，最佳的起点是我们的免费 Linux 课程 [LFS101x Introduction to Linux](https://www.edx.org/course/introduction-linux-linuxfoundationx-lfs101x-2)。这个在线课程放在 edX.org，探索 Linux 系统管理员和终端用户常用的各种工具和技能以及日常的 Linux 工作环境。该课程是为有一定经验，但较少或没有接触过 Linux 的电脑用户设计的，不论他们是在个人还是企业环境中工作。这个课程会从图形界面和命令行两个方面教会你有用的 Linux 知识，让你能够了解主流的 Linux 发行版。

###3、 看看 LFS201 课程###

在你完成 LFS101x 之后，你就可以开始挑战 Linux 中更加复杂的任务了，这是成为一名专业的系统管理员所必须的。为了掌握这些技能，你应该看看 [LFS201 Essentials of Linux System Administration](http://training.linuxfoundation.org/linux-courses/system-administration-training/essentials-of-system-administration) 这个课程。该课程对每个话题进行了深度的解释和介绍，还有大量的练习和实验，帮助你获得相关主题实际的上手经验。

如果你更愿意有个教练，或者你的雇主想将你培养成 Linux 系统管理员的话，你可能会对 LFS220 Linux System Administration 感兴趣。这个课程有 LFS201 中所有的主题，但是它是由专家专人教授的，帮助你进行实验以及解答你在课程主题中的问题。

###4、 练习！###

熟能生巧，和对任何乐器或运动适用一样，这对 Linux 来说也一样适用。在你安装 Linux 之后，经常使用它。一遍遍地练习关键任务，直到你不需要参考材料也能轻而易举地完成。练习命令行的输入输出以及图形界面。这些练习能够保证你掌握成为成功的 Linux 系统管理员所必需的知识和技能。

###5、 获得认证###

在你完成 LFS201 或 LFS220 并且充分练习之后，你现在已经准备好获得系统管理员的认证了。你需要这个证书，因为你需要向雇主证明你拥有一名专业 Linux 系统管理员必需的技能。

现在有一些不同的 Linux 证书，它们每个都有其独到之处。但是，它们里大部分不是在特定发行版（如红帽）上认证，就是纯粹的知识测试，没有演示 Linux 的实际技能。Linux 基金会认证系统管理员（Linux Foundation Certified System Administrator）证书对想要一个灵活的，有意义的初级证书的人来说是个不错的选择。

###6、 参与进来###

如果你所在的地方有本地 Linux 用户组（Linux Users Group，LUG）的话，这时候你可以考虑加入他们。这些组织通常由各种年龄和经验水平的人组成，所以不管你的 Linux 经验水平如何，你都能找到和你类似技能水平的人互助，或是更高水平的 Linux 用户来解答你的问题以及介绍有用的资源。要想知道你附近有没有 LUG，上 meet.com 看看，或是附近的大学，又或是上网搜索一下。

还有不少在线社区可以在你学习 Linux 的时候帮助你。这些站点和社区向 Linux 新手和有经验的管理员都能够提供帮助和支持：

  - [Linux Admin subreddit](https://www.reddit.com/r/linuxadmin)
  - [Linux.com](http://www.linux.com/)
  - [training.linuxfoundation.org](http://training.linuxfoundation.org/)
  - [http://community.ubuntu.com/help-information/](http://community.ubuntu.com/help-information/)
  - [https://forums.opensuse.org/forum.php](https://forums.opensuse.org/forum.php)
  - [http://wiki.centos.org/Documentation](http://wiki.centos.org/Documentation)

###7、 学会热爱文档###

最后但同样重要的是，如果你困在 Linux 的某些地方，别忘了 Linux 包含的文档。使用命令 man（manual，手册），info 和 help，你从系统内就可以找到 Linux 几乎所有方面的信息。这些内置资源的用处再夸大也不为过，你会发现你在生涯中始终会用到，所以你可能最好早点掌握使用它们。

想要了解更多开始你 Linux IT 生涯的信息？查看我们免费的电子书“[开始你 Linux IT 生涯的简短指南](http://training.linuxfoundation.org/sysadmin-it-career-guide)”。

------------------------------------------------------------------------------

via: http://www.linux.com/news/featured-blogs/191-linux-training/834644-7-steps-to-start-your-linux-sysadmin-career

作者：[linux.com][a]
译者：[alim0x](https://github.com/alim0x)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:linux.com
