为什么 Ubuntu 家族会占据 Linux 发行版的主导地位？
=========================================

在过去的数年中，我体验了一些优秀的 Linux 发行版。给我印象最深刻的是那些由强大的社区维护的发行版，而流行的发行版比强大的社区给我的印象更深。流行的 Linux 发行版往往能吸引新用户，这通常是由于其流行而使得使用该发行版会更加容易。并非绝对如此，但一般来说是这样的。

说到这里，首先映入我脑海的一个发行版是  [Ubuntu][1]。其基于健壮的 [Debian][2] 发行版构建，它不仅成为了一个非常受欢迎的 Linux  发行版，而且它也衍生出了不可计数的其他分支，比如 Linux Mint 就是一个例子。在本文中，我会探讨为何我认为 Ubuntu 会赢得 Linux 发行版之战的原因，以及它是怎样影响到了整个 Linux 桌面领域。

### Ubuntu 易于使用

在我几年前首次尝试使用 Ubuntu 前，我更喜欢使用 KED 桌面。在那个时期，我接触的大多是这种 KDE 桌面环境。主要原因还是 KDE 是大多数新手容易入手的 Linux 发行版中最受欢迎的。这些新手友好的发行版有 Knoppix、Simply Mepis、Xandros、Linspire 以及其它的发行版等等，这些发行版都推荐他们的用户去使用广受欢迎的 KDE。

现在 KDE 能满足我的需求，我也没有什么理由去折腾其他的桌面环境。有一天我的 Debian 安装失败了（由于我个人的操作不当），我决定尝试开发代号为 Dapper Drake 的 Ubuntu 版本（LCTT 译注：Ubuntu 6.06 - Dapper Drake，发布日期：2006 年 6 月 1 日），每个人都对它赞不绝口。那个时候，我对于它的印象仅限于屏幕截图，但是我想试试也挺有趣的。

Ubuntu Dapper Drake 给我的最大的印象是它让我很清楚地知道每个东西都在哪儿。记住，我是来自于 KDE 世界的用户，在 KDE 上要想改变菜单的设置就有 15 种方法 ！而 Ubuntu 上的 GNOME 实现极具极简主义的。

时间来到 2016 年，最新的版本号是 16.04：我们有了好几种 Ubuntu 特色版本，也有一大堆基于 Ubuntu 的发行版。所有的 Ubuntu 特色版和衍生发行版的共同具有的核心都是为易用而设计。发行版想要增大用户基数时，这就是最重要的原因。

### Ubuntu LTS

过去，我几乎一直坚持使用 LTS（Long Term Support）发行版作为我的主要桌面系统。10月份的发行版很适合我测试硬盘驱动器，甚至把它用在一个老旧的手提电脑上。我这样做的原因很简单——我没有兴趣在一个正式使用的电脑上折腾短期发行版。我是个很忙的家伙，我觉得这样会浪费我的时间。

对于我来说，我认为 Ubuntu 提供 LTS 发行版是 Ubuntu 能够变得流行的最大的原因。这样说吧———给普罗大众提供一个桌面 Linux 发行版，这个发行版能够得到长期的有效支持就是它的优势。事实上，不只 Ubuntu 是这样，其他的分支在这一点上也做的很好。长期支持策略以及对新手的友好环境，我认为这就为 Ubuntu 的普及带来了莫大的好处。

### Ubuntu Snap 软件包

以前，用户会夸赞可以在他们的系统上使用 PPA（personal package archive 个人软件包档案）获得新的软件。不好的是，这种技术也有缺点。当它用在各种软件名称时， PPA 经常会找不到，这种情况很常见。

现在有了 [Snap 软件包][3] 。当然这不是一个全新的概念，过去已经进行了类似的尝试。用户可以在一个长期支持版本上运行最新的软件，而不必去使用最新的 Ubuntu 发行版。虽然我认为目前还处于 Snap 软件包的早期，但是我很期待可以在一个稳定的发行版上运行的崭新的软件。

最明显的问题是，如果你要运行很多软件，那么 Snap 包实际会占用很多硬盘空间。不仅如此，大多数 Ubuntu 软件仍然需要由官方从 deb 包进行转换。第一个问题可以通过使用更大的硬盘空间得到解决，而后一个问题的解决则需要等待。 

### Ubuntu 社区

首先，我承认大多数主要的 Linux 发行版都有强大的社区。然而，我坚信 Ubuntu 社区的成员是最多样化的，他们来自各行各业。例如，我们的论坛包括从苹果硬件支持到游戏等不同分类。特别是这些专业的讨论话题还非常广泛。

除过论坛，Ubuntu 也提供了一个很正式的社区组织。这个组织包括一个理事会、技术委员会、[本地社区团队][4]和开发者成员委员会。还有很多，但是这些都是我知道的社区组织部分。

我们还有一个 [Ubuntu 问答][5]版块。我认为，这种功能可以代替人们从论坛寻求帮助的方式，我发现在这个网站你得到有用信息的可能性更大。不仅如此，那些提供的解决方案中被选出的最精准的答案也会被写入到官方文档中。

### Ubuntu 的未来

我认为 Ubuntu 的 Unity 界面（LCTT 译注：Unity 是 Canonical 公司为 Ubuntu 操作系统的 GNOME 桌面环境开发的图形化界面）在提升桌面占有率上少有作为。我能理解其中的缘由，现在它主要做一些诸如可以使开发团队的工作更轻松的事情。但是最终，我还是认为 Unity 为 Ubuntu MATE 和 Linux Mint 的普及铺平道路。

我最好奇的一点是 Ubuntu's IRC 和邮件列表的发展（LCTT 译注：可以在 Ubuntu LoCo Teams 的 IRC Chat 上提问关于地方团队和计划的事件的问题，也可以和一些不同团队的成员进行交流）。事实是，他们都不能像 Ubuntu 问答板块那样文档化。至于邮件列表，我一直认为这对于合作是一种很痛苦的过时方法，但这仅仅是我的个人看法——其他人可能有不同的看法，也可能会认为它很好。

你怎么看？你认为 Ubuntu 将来会占据主要的份额吗？也许你会认为 Arch 和 Linux Mint 或者其他的发行版会在普及度上打败 Ubuntu？ 既然这样，那请大声说出你最喜爱的发行版。如果这个发行版是 Ubuntu 衍生版 ，说说你为什么更喜欢它而不是 Ubuntu 本身。如果不出意外，Ubuntu 会成为构建其他发行版的基础，我想很多人都是这样认为的。

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/why-ubuntu-based-distros-are-leaders.html

作者：[Matt Hartley][a]
译者：[vim-kakali](https://github.com/vim-kakali)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.datamation.com/author/Matt-Hartley-3080.html
[1]: http://www.ubuntu.com/
[2]: https://www.debian.org/
[3]: http://www.datamation.com/open-source/ubuntu-snap-packages-the-good-the-bad-the-ugly.html
[4]: http://loco.ubuntu.com/
[5]: http://askubuntu.com/
