工程师和市场营销人员之间能够相互学习什么？
============================================================

> 营销人员觉得工程师在工作中都太严谨了；而工程师则认为营销人员毫无用处。但是他们都错了。

 ![What engineers and marketers can learn from each other](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/BIZ_fortunecookie3.png?itok=dlRX4vO9 "What engineers and marketers can learn from each other") 

图片来源：opensource.com

在 B2B 行业从事多年的销售实践过程中，我经常听到工程师对营销人员的各种误解。下面这些是比较常见的：

*   “搞市场营销真是浪费钱，还不如把更多的资金投入到实际的产品开发中来。”
*   “那些营销人员只是一个劲儿往墙上贴各种广告，还祈祷着它们不要掉下来。这么做有啥科学依据啊？”
*   “谁愿意去看哪些广告啊？”
*   “对待一个营销人员最好的办法就是不听，不看，也不理睬。”

这是我最感兴趣的一点：

_“市场营销无足轻重。”_

最后一点说的不对，而且不仅如此，它实际上是阻碍一个公司创新的巨大绊脚石。

我来跟大家解释一下原因吧。

### 看到自己的身影

这些工程师的的评论让我十分的苦恼，因为我从中看到了自己当年的身影。

你们知道吗？我曾经也跟你们一样是一位自豪的技术极客。我在 Rensselaer Polytechnic 学院的电气工程专业本科毕业后便在美国空军担任军官开始了我的职业生涯，而且美国空军在那段时间还发动了沙漠风暴行动。在那里我主要负责开发并部属一套智能的实时战况分析系统，用于综合几个的数据源来构建出战场态势。

在我离开空军之后，我本打算去麻省理工学院攻读博士学位。但是上校强烈建议我去报读这个学校的商学院。“你真的想一辈子待实验室里吗？”他问我。“你想就这么去大学里当个教书匠吗？Jackie ，你在组织管理那些复杂的工作中比较有天赋。我觉得你非常有必要去了解下 MIT 的斯隆商学院。”

我觉得自己也可以同时参加一些 MIT 技术方面的课程，因此我采纳了他的建议。然而，如果要参加市场营销管理方面的课程，我还有很长的路要走，这完全是在浪费时间。因此，在日常工作学习中，我始终是用自己所擅长的分析能力去解决一切问题。

不久后，我在波士顿咨询集团公司做咨询顾问工作。在那六年的时间里，我经常听到大家对我的评论： “Jackie ，你太没远见了。考虑问题也不够周全。你总是通过自己的分析去找答案。”

确实如此啊，我很赞同他们的想法——因为这个世界的工作方式本该如此，任何问题都要基于数据进行分析，不对吗？直到现在我才意识到（我多么希望自己早一些发现自己的问题）自己以前惯用的分析问题的方法遗漏了很多重要的东西：开放的心态、艺术修养、情感——人和创造性思维相关的因素。

我在 2001 年 9 月 11 日加入达美航空公司不久后，被调去管理消费者市场部门，之前我意识到的所有问题变得更加明显。市场方面本来不是我的强项，但是在公司需要的情况下，我也愿意出手相肋。

但是突然之间，我一直惯用的方法获取到的分析结果却与实际情况完全相反。这个问题导致上千人（包括航线内外的人）受到影响。我忽略了一个很重要的人本身的情感因素。我所面临的问题需要各种各样的解决方案才能处理，而不是简单的从那些死板的数据中就能得到答案。

那段时间，我快速地学到了很多东西，因为如果我们想把达美航空公司恢复到正常状态，还需要做很多的工作——市场营销更像是一个以解决问题为导向、以用户为中心的充满挑战性的大工程，只是销售人员和工程师这两大阵营都没有迅速地意识到这个问题。

### 两大文化差异

工程管理和市场营销之间的这个“巨大鸿沟”确实是根深蒂固的，这跟（著名的科学家、小说家） C.P. Snow 提出的[“两大文化差异”问题][1]很相似。具有科学素质的工程师和具有艺术细胞的营销人员操着不同的语言，不同的文化观念导致他们不同的价值取向。

但是，事实上他们比想象中有更多的相似之处。一个由微软、谷歌和美国国家科学基金会共同赞助的华盛顿大学的[最新研究][2]发现了“一个伟大软件工程师必须具备哪些优秀的素质”，毫无疑问，一个伟大的销售人员同样也应该具备这些素质。例如，专家们给出的一些优秀品质如下：

*   充满激情
*   性格开朗
*   强烈的好奇心
*   技艺精湛
*   解决复杂难题的能力

这些只是其中很小的一部分！当然，并不是所有的素质都适用于市场营销人员，但是如果用文氏图来表示这“两大文化”的交集，就很容易看出营销人员和工程师之间的关系要远比我们想象中密切得多。他们都是竭力去解决与用户或客户相关的难题，只是他们所采取的方式和角度不一致罢了。

看到上面的那几点后，我深深的陷入思考：_要是这两类员工彼此之间再多了解对方一些会怎样呢？这会给公司带来很强大的动力吧？_

确实如此。我在红帽公司就亲眼看到过样的情形，我身边都是一些早些年肯定被我当成“想法疯狂”而无视的人。而且我猜销售人员看到工程师后（同时或某一次），心想，“这些数据呆瓜，真是只见树木不见森林。”

现在我才明白了公司里有这两种人才的重要性。在现实工作当中，工程师和营销人员都是围绕着客户、创新及数据分析来完成工作。如果他们能够懂得相互尊重、彼此理解、相辅相成，那么我们将会看到公司里所产生的那种积极强大的动力，这种超乎寻常的革新力量要远比两个独立的团队强大得多。

### 听一听疯子（和呆瓜）的想法

成功案例：《开放式组织》

在红帽任职期间，我的主要工作就是想办法提升公司的品牌影响力——但是就是给我一百万年我也不会想到让公司的 CEO 去写一本书。我把公司多个部门的“想法疯狂”的同事召集在一起，希望他们帮我设计出一个新颖的解决方案来提升公司的影响力，结果他们提出让公司的 CEO 写书这样一个想法。

当我听到这个想法的时候，我很快意识到这正是典型的红帽方式：它将对整个开源社区的从业者带来很重要的参考价值，同时也有助于宣扬开源精神。通过优先考虑这两方面的作用，我们提升了红帽在整个开源软件世界中的品牌价值——红帽是一个可靠的随时准备着为客户在[数字化颠覆][3]年代指明方向的公司。

这一点才是主要的：确切的说是指导红帽工程师解决代码问题的共同精神力量。 Red Hatters 小组敦促我出版《开放式组织》，这显示出来自内部和外部社区的程序员共同推动整个开源社区发展的强大动力之一：那就是强烈的共享欲望。

最后，要把《开放式组织》这本书完成，还需要大家的共同能力，包括工程师们强大的数据分析能力和营销人员美好的艺术素养。这个项目让我更加坚定自己的想法，工程师和营销人员有更多的相似之处。

但是，有些东西我还得强调下：开放模式的实现，要求公司上下没有任何偏见，不能偏袒工程师和市场营销人员任何一方文化。一个更加理想的开放式环境能够促使员工之间和平共处，并在这个组织规定的范围内点燃大家的热情。

这对我来说如春风拂面。

--------------------------------------------------------------------------------

作者简介：

![](https://opensource.com/sites/default/files/styles/profile_pictures/public/pictures/portrait_jackieyeaney_400x600.jpg?itok=zV4bnrzI)

Jackie Yeaney —— Ellucian 公司市场总监

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/17/1/engineers-marketers-can-learn

作者：[Jackie Yeaney][a]
译者：[rusking](https://github.com/rusking)
校对：[Bestony](https://github.com/Bestony), [wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jackie-yeaney
[1]:https://en.wikipedia.org/wiki/The_Two_Cultures#Implications_and_influence
[2]:https://faculty.washington.edu/ajko/papers/Li2015GreatEngineers.pdf
[3]:https://opensource.com/open-organization/16/7/future-belongs-open-leaders
