### Unleash Your Creativity – Linux Programs for Drawing and Image Editing

  By: [chabowski][1]

The following article is part of a series of articles that provide tips and tricks for Linux newbies – or Desktop users that are not yet experienced with regard to certain topics. This series intends to complement the special edition #30 “[Getting Started with Linux][2]” based on [openSUSE Leap][3], recently published by the [Linux Magazine,][4] with valuable additional information.

![](https://www.suse.com/communities/blog/files/2017/11/DougDeMaio-450x450.jpeg)

This article has been contributed by Douglas DeMaio, openSUSE PR Expert at SUSE.

Both Mac OS or Window offer several popular programs for graphics editing, vector drawing and creating and manipulating Portable Document Format (PDF). The good news: users familiar with the Adobe Suite can transition with ease to free, open-source programs available on Linux.

Programs like [GIMP][5], [InkScape][6] and [Okular][7] are cross platform programs that are available by default in Linux/GNU distributions and are persuasive alternatives to expensive Adobe programs like [Photoshop][8], [Illustrator][9] and [Acrobat][10].

These creativity programs on Linux distributions are just as powerful as those for macOS or Window. This article will explain some of the differences and how the programs can be used to make your transition to Linux comfortable.

### Krita

The KDE desktop environment comes with tons of cool applications. [Krita][11] is a professional open source painting program. It gives users the freedom to create any artistic image they desire. Krita features tools that are much more extensive than the tool sets of most proprietary programs you might be familiar with. From creating textures to comics, Krita is a must have application for Linux users.

![](https://www.suse.com/communities/blog/files/2017/11/krita-450x267.png)

### GIMP

GNU Image Manipulation Program (GIMP) is a cross-platform image editor. Users of Photoshop will find the User Interface of GIMP to be similar to that of Photoshop. The drop down menu offers colors, layers, filters and tools to help the user with editing graphics. Rulers are located both horizontal and vertical and guide can be dragged across the screen to give exact measurements. The drop down menu gives tool options for resizing or cropping photos; adjustments can be made to the color balance, color levels, brightness and contrast as well as hue and saturation.

![](https://www.suse.com/communities/blog/files/2017/11/gimp-450x281.png)

There are multiple filters in GIMP to enhance or distort your images. Filters for artistic expression and animation are available and are more powerful tool options than those found in some proprietary applications. Gradients can be applied through additional layers and the Text Tool offers many fonts, which can be altered in shape and size through the Perspective Tool.

The cloning tool works exactly like those in other graphics editors, so manipulating images is simple and acurrate given the selection of brush sizes to do the job.

Perhaps one of the best options available with GIMP is that the images can be saved in a variety of formats like .jpg, .png, .pdf, .eps and .svg. These image options provide high-quality images in a small file.

### InkScape

Designing vector imagery with InkScape is simple and free. This cross platform allows for the creation of logos and illustrations that are highly scalable. Whether designing cartoons or creating images for branding, InkScape is a powerful application to get the job done. Like GIMP, InkScape lets you save files in various formats and allows for object manipulation like moving, rotating and skewing text and objects. Shape tools are available with InkScape so making stars, hexagons and other elements will meet the needs of your creative mind.

![](https://www.suse.com/communities/blog/files/2017/11/inkscape-450x273.png)

InkScape offers a comprehensive tool set, including a drawing tool, a pen tool and the freehand calligraphy tool that allows for object creation with your own personal style. The color selector gives you the choice of RGB, CMYK and RGBA – using specific colors for branding logos, icons and advertisement is definitely convincing.

Short cut commands are similar to what users experience in Adobe Illustrator. Making layers and grouping or ungrouping the design elements can turn a blank page into a full-fledged image that can be used for designing technical diagrams for presentations, importing images into a multimedia program or for creating web graphics and software design.

Inkscape can import vector graphics from multiple other programs. It can even import bitmap images. Inkscape is one of those cross platform, open-source programs that allow users to operate across different operating systems, no matter if they work with macOS, Windows or Linux.

### Okular and LibreOffice

LibreOffice, which is a free, open-source Office Suite, allows users to collaborate and interact with documents and important files on Linux, but also on macOS and Window. You can also create PDF files via LibreOffice, and LibreOffice Draw lets you view (and edit) PDF files as images.

![](https://www.suse.com/communities/blog/files/2017/11/draw-450x273.png)

However, the Portable Document Format (PDF) is quite different on the three Operating Systems. MacOS offers [Preview][12] by default; Windows has [Edge][13]. Of course, also Adobe Reader can be used for both MacOS and Window. With Linux, and especially the desktop selection of KDE, [Okular][14] is the default program for viewing PDF files.

![](https://www.suse.com/communities/blog/files/2017/11/okular-450x273.png)

The functionality of Okular supports different types of documents, like PDF, Postscript, [DjVu][15], [CHM][16], [XPS][17], [ePub][18] and others. Yet the universal document viewer also offers some powerful features that make interacting with a document different from other programs on MacOS and Windows. Okular gives selection and search tools that make accessing the text in PDFs fluid for how users interact with documents. Viewing documents with Okular is also accommodating with the magnification tool that allows for a quick look at small text in a document.

Okular also provides users with the option to configure it to use more memory if the document is too large and freezes the Operating System. This functionality is convenient for users accessing high-quality print documents for example for advertising.

For those who want to change locked images and documents, it’s rather easy to do so with LibreOffice Draw. A hypothetical situation would be to take a locked IRS (or tax) form and change it to make the uneditable document editable. Imagine how much fun it could be to transform it to some humorous kind of tax form …

And indeed, the sky’s the limit on how creative a user wants to be when using programs that are available on Linux distributions.

![2 votes, average: 5.00 out of 5](https://www.suse.com/communities/blog/wp-content/plugins/wp-postratings/images/stars_crystal/rating_on.gif)

![2 votes, average: 5.00 out of 5](https://www.suse.com/communities/blog/wp-content/plugins/wp-postratings/images/stars_crystal/rating_on.gif)

![2 votes, average: 5.00 out of 5](https://www.suse.com/communities/blog/wp-content/plugins/wp-postratings/images/stars_crystal/rating_on.gif)

![2 votes, average: 5.00 out of 5](https://www.suse.com/communities/blog/wp-content/plugins/wp-postratings/images/stars_crystal/rating_on.gif)

![2 votes, average: 5.00 out of 5](https://www.suse.com/communities/blog/wp-content/plugins/wp-postratings/images/stars_crystal/rating_on.gif)

(

 _**2** votes, average: **5.00** out of 5_ 

)

 _You need to be a registered member to rate this post._ 

Tags: [drawing][19], [Getting Started with Linux][20], [GIMP][21], [image editing][22], [Images][23], [InkScape][24], [KDE][25], [Krita][26], [Leap 42.3][27], [LibreOffice][28], [Linux Magazine][29], [Okular][30], [openSUSE][31], [PDF][32] Categories: [Desktop][33], [Expert Views][34], [LibreOffice][35], [openSUSE][36]

--------------------------------------------------------------------------------

via: https://www.suse.com/communities/blog/unleash-creativity-linux-programs-drawing-image-editing/

作者：[chabowski ][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[1]:https://www.suse.com/communities/blog/author/chabowski/
[2]:http://www.linux-magazine.com/Resources/Special-Editions/30-Getting-Started-with-Linux
[3]:https://en.opensuse.org/Portal:42.3
[4]:http://www.linux-magazine.com/
[5]:https://www.gimp.org/
[6]:https://inkscape.org/en/
[7]:https://okular.kde.org/
[8]:http://www.adobe.com/products/photoshop.html
[9]:http://www.adobe.com/products/illustrator.html
[10]:https://acrobat.adobe.com/us/en/acrobat/acrobat-pro-cc.html
[11]:https://krita.org/en/
[12]:https://en.wikipedia.org/wiki/Preview_(macOS)
[13]:https://en.wikipedia.org/wiki/Microsoft_Edge
[14]:https://okular.kde.org/
[15]:http://djvu.org/
[16]:https://fileinfo.com/extension/chm
[17]:https://fileinfo.com/extension/xps
[18]:http://idpf.org/epub
[19]:https://www.suse.com/communities/blog/tag/drawing/
[20]:https://www.suse.com/communities/blog/tag/getting-started-with-linux/
[21]:https://www.suse.com/communities/blog/tag/gimp/
[22]:https://www.suse.com/communities/blog/tag/image-editing/
[23]:https://www.suse.com/communities/blog/tag/images/
[24]:https://www.suse.com/communities/blog/tag/inkscape/
[25]:https://www.suse.com/communities/blog/tag/kde/
[26]:https://www.suse.com/communities/blog/tag/krita/
[27]:https://www.suse.com/communities/blog/tag/leap-42-3/
[28]:https://www.suse.com/communities/blog/tag/libreoffice/
[29]:https://www.suse.com/communities/blog/tag/linux-magazine/
[30]:https://www.suse.com/communities/blog/tag/okular/
[31]:https://www.suse.com/communities/blog/tag/opensuse/
[32]:https://www.suse.com/communities/blog/tag/pdf/
[33]:https://www.suse.com/communities/blog/category/desktop/
[34]:https://www.suse.com/communities/blog/category/expert-views/
[35]:https://www.suse.com/communities/blog/category/libreoffice/
[36]:https://www.suse.com/communities/blog/category/opensuse/
