translating---geekpi

FreeCAD – A 3D Modeling and Design Software for Linux
============================================================
![FreeCAD 3D Modeling Software](https://www.fossmint.com/wp-content/uploads/2017/12/FreeCAD-3D-Modeling-Software.png)

[FreeCAD][8] is a cross-platform OpenCasCade-based mechanical engineering and product design tool. Being a parametric 3D modeler it works with PLM, CAx, CAE, MCAD and CAD and its functionalities can be extended using tons of advanced extensions and customization options.

It features a QT-based minimalist User Interface with toggable panels, layouts, toolbars, a broad Python API, and an Open Inventor-compliant 3D scene representation model (thanks to the Coin 3D library).

 [![FreeCAD 3D Software](https://www.fossmint.com/wp-content/uploads/2017/12/FreeCAD-3D-Software.png)][9] 

FreeCAD 3D Software

As is listed on the website, FreeCAD has a coupled of user cases, namely:

> *   The Home User/Hobbyist: Got yourself a project you want to build, have built, or 3D printed? Model it in FreeCAD. No previous CAD experience required. Our community will help you get the hang of it quickly!
> 
> *   The Experienced CAD User: If you use commercial CAD or BIM modeling software at work, you will find similar tools and workflow among the many workbenches of FreeCAD.
> 
> *   The Programmer: Almost all of FreeCAD’s functionality is accessible to Python. You can easily extend FreeCAD’s functionality, automatize it with scripts, build your own modules or even embed FreeCAD in your own application.
> 
> *   The Educator: Teach your students a free software with no worry about license purchase. They can install the same version at home and continue using it after leaving school.

#### Features in FreeCAD

*   Freeware: FreeCAD is free for everyone to download and use.

*   Open Source: Contribute to the source code on [GitHub][4].

*   Cross-Platform: All Windows, Linux, and Mac users can enjoy the coolness of FreeCAD.

*   A comprehensive [Online Documentation][5].

*   A free [Online Manual][6] for beginners and pros alike.

*   Annotations support e.g. text and dimensions.

*   A built-in Python console.

*   A fully customizable and scriptable UI.

*   An online community for showcasing projects [here][7].

*   Extendable modules for modeling and designing a variety of objects e.g.

FreeCAD has a lot more features to offer users than we can list here so feel free to see the rest of them on its website’s [Features page][11].

There are many 3D modeling tools in the market but they are barely free. If you are a modeling engineer, architect, or artist and are looking for an application you can use without necessarily shelling out any cash then FreeCAD is a beautiful open-source project you should check out.

Give it a test-drive and see if you don’t like it.

[Download FreeCAD for Linux][13]

Are you already a FreeCAD user? Which of its features do you enjoy the most and have you come across any alternatives that may go head to head with its abilities?

Remember that your comments, suggestions, and constructive criticisms are always welcome in the comments section below.

--------------------------------------------------------------------------------

via: https://www.fossmint.com/freecad-3d-modeling-and-design-software-for-linux/

作者：[Martins D. Okoi ][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.fossmint.com/author/dillivine/
[1]:https://www.fossmint.com/author/dillivine/
[2]:https://www.fossmint.com/author/dillivine/
[3]:https://www.fossmint.com/freecad-3d-modeling-and-design-software-for-linux/#disqus_thread
[4]:https://github.com/FreeCAD/FreeCAD
[5]:https://www.freecadweb.org/wiki/Main_Page
[6]:https://www.freecadweb.org/wiki/Manual
[7]:https://forum.freecadweb.org/viewforum.php?f=24
[8]:http://www.freecadweb.org/
[9]:https://www.fossmint.com/wp-content/uploads/2017/12/FreeCAD-3D-Software.png
[10]:https://www.fossmint.com/synfig-an-adobe-animate-alternative-for-gnulinux/
[11]:https://www.freecadweb.org/wiki/Feature_list
[12]:http://www.tecmint.com/red-hat-rhcsa-rhce-exam-certification-book/
[13]:https://www.freecadweb.org/wiki/Download
